//! Bot data models

#![allow(dead_code)]

use mongodb::bson::oid::ObjectId;
use serde::{Deserialize, Serialize};

pub const COLLECTIONS_NAMES: [&str; 1] = ["tags"];

pub trait YorokobotModel {
    fn get_collection_name() -> String;
}

/// Tags
#[derive(Debug, Serialize, Deserialize)]
pub struct Tag {
    #[serde(rename = "_id", skip_serializing_if = "Option::is_none")]
    pub id: Option<ObjectId>,
    pub name: String,
    pub guild_id: String,
    pub is_nsfw: bool,
    pub subscribers: Vec<String>,
}

impl YorokobotModel for Tag {
    fn get_collection_name() -> String {
        "tags".to_string()
    }
}
