use serenity::{builder::CreateApplicationCommand, model::prelude::command::CommandOptionType};

pub fn register(
    command: &mut CreateApplicationCommand,
    max_args_number: u32,
) -> &mut CreateApplicationCommand {
    command
        .name("bulk_create_tag")
        .description("Add multiples tags");

    for i in 0..max_args_number {
        command.create_option(|option| {
            option
                .name(format!("tag{}", i + 1))
                .description("A new tag to add")
                .kind(CommandOptionType::String)
                .required(i == 0)
        });
    }

    command
}
